MAKE_DRIVER_DB_CUPS(1)

NAME
make_driver_db_cups - create a printer database from ppd files

SYNOPSIS
make_driver_db_cups [db_directory] [output_filename]

DESCRIPTION
make_driver_db_cups creates a printer database from PPD files. PPD files (Postscript Printer Description files) describe a specific printer. Nowadays they are also used for non-Postscript printers.

make_driver_db_cups prints all printer descriptions found in a given directory and all its subdirectories to stdout. The first line gives the number of all found printers. Every printer description block consists of the items FILE, MANUFACTURER, MODELNAME, MODEL and DESCRIPTION. The block is followed by the current block number.

If an output file is given make_driver_db_cups suppresses all numbers.

The PPD files may be gzip compressed.

OPTIONS

  Arguments:

db_directory
    directory with ppd files

output_filename
    write printer database into this file

FILES

$KDEHOME/share/apps/kdeprint/printerdb_cups.txt
    KDE printer database
    (if $KDEHOME is not set ~/.kde is used)

SEE ALSO
make_driver_db_lpr(1)

www.linuxprinting.org
    Information about printing under UNIX

AUTHORS
The KDE project
Please use http://bugs.kde.org to report bugs.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.